Linux今天:Linux上网时间。





PostgreSQL,OpenSSL和GPL

2011年2月26日,15:03(0对讲[S])
(Other stories by 杰克边缘)

“openssl许可证,这是BSD风格,具有广告 条款,过去是一种问题的源泉,因为它是 相反,不清楚使用它的项目还可以包括 GPL-许可的代码。大多数分布似乎都很舒服 openssl可以被认为是一个“系统库”,因此链接到它 不需要openssl拥有GPL兼容的许可证,但是 自由软件基金会(FSF)和,不出所料,Debian不是 在船上的解释。此许可问题最近 在PGSQL-HACKERS的螺船上再次抬起头部(PostgreSQL 开发)邮件列表。

“对于指令线的程序,GNU Readline库, 这允许各种类型用于命令行编辑,是一个常见的 添加。但是Readline是在GPL下获得许可(而不是 LGPL),这意味着使用它必须具有的程序 兼容许可和PostgreSQL的BSD-ISH允许许可证 当然有资格。但openssl许可证额外 限制其用户,因此与GPL不兼容。 这是实际情况中的真正问题取决于你的方式 解释GPL,以及openSSL是否有资格获得系统 library exception."

完整的故事

相关故事: